TmetaDetection::A< T > Struct Template Reference

## Public Types

using | type = T

## Public Member Functions

| A (int i, double d)
A & | operator++ ()
template<typename TT = T, typename = when<std::is_integral<TT>::type::value>>
TT | sfun ()

## Detailed Description

### template<typename T>
struct TmetaDetection::A< T >

Definition at line 34 of file TmetaDetection.cpp.

## Member Typedef Documentation

## type

template<typename T >

using TmetaDetection::A< T >::type = T

Definition at line 35 of file TmetaDetection.cpp.

## Constructor & Destructor Documentation

## A()

template<typename T >

TmetaDetection::A< T >::A | ( | int | i,
|  | double | d
| ) |  |

inline

Definition at line 36 of file TmetaDetection.cpp.

## Member Function Documentation

## operator++()

template<typename T >

A& TmetaDetection::A< T >::operator++ | ( |  | ) |

inline

Definition at line 37 of file TmetaDetection.cpp.

## sfun()

template<typename T >
template<typename TT = T, typename = when<std::is_integral<TT>::type::value>>

TT TmetaDetection::A< T >::sfun | ( |  | ) |

inline

Definition at line 41 of file TmetaDetection.cpp.

The documentation for this struct was generated from the following file:

- test/tests/TmetaDetection.cpp